Package org.apache.groovy.json.internal

# Class ByteScanner

java.lang.Object
org.apache.groovy.json.internal.ByteScanner

public class ByteScanner extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteScanner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `encodeByteIntoTwoAsciiCharBytes(int decoded, byte[] encoded)`
  Turn a single bytes into two hex character representation.
  `protected static int`
  `encodeNibbleToHexAsciiCharByte(int nibble)`
  Turns a single nibble into an ascii HEX digit.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteScanner

    public ByteScanner()

- ## Method Details

  - ### encodeNibbleToHexAsciiCharByte

    protected static int encodeNibbleToHexAsciiCharByte(int nibble)
    Turns a single nibble into an ascii HEX digit.
    Parameters:
      `nibble` - the nibble to serializeObject.
    Returns:
      the encoded nibble (1/2 byte).

  - ### encodeByteIntoTwoAsciiCharBytes

    public static void encodeByteIntoTwoAsciiCharBytes(int decoded, byte[] encoded)
    Turn a single bytes into two hex character representation.
    Parameters:
      `decoded` - the byte to serializeObject.
      `encoded` - the array to which each encoded nibbles are now ascii hex representations.